%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:           perl-MIME-Types
Version:        2.18
Release:        1mamba
Summary:        MIME::Types - Object Oriented module which contains information about MIME types
Group:          System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:       Aleph0 <aleph0@openmamba.org>
URL:            https://www.cpan.org
Source:         http://www.cpan.org/modules/by-module/MIME/MIME-Types-%{version}.tar.gz
License:        Artistic
Requires:       perl >= %perl_major_ver
BuildRequires:  perl-devel >= %perl_major_ver
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
MIME types are used by many Internet protocols, like e-mail and HTTP to indicate the type of data which is transported.
MIME::Types is an Object Oriented module which contains information about these types and lists some facts about them.

%prep
%setup -q -n MIME-Types-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 2.18-1mamba
- automatic version update by autodist

* Sun May 03 2020 Automatic Build System <autodist@mambasoft.it> 2.17-1mamba
- automatic update by autodist

* Fri Nov 24 2017 Automatic Build System <autodist@mambasoft.it> 2.14-1mamba
- automatic update by autodist

* Thu Sep 01 2016 Automatic Build System <autodist@mambasoft.it> 2.13-1mamba
- automatic update by autodist

* Fri Feb 05 2016 Automatic Build System <autodist@mambasoft.it> 2.12-1mamba
- automatic update by autodist

* Thu Jul 09 2015 Automatic Build System <autodist@mambasoft.it> 2.11-1mamba
- automatic update by autodist

* Mon Oct 13 2014 Automatic Build System <autodist@mambasoft.it> 2.09-1mamba
- automatic update by autodist

* Sat Sep 06 2014 Automatic Build System <autodist@mambasoft.it> 2.08-1mamba
- automatic update by autodist

* Mon Dec 16 2013 Automatic Build System <autodist@mambasoft.it> 2.04-1mamba
- automatic update by autodist

* Sun Sep 08 2013 Automatic Build System <autodist@mambasoft.it> 2.03-1mamba
- automatic update by autodist

* Mon Aug 26 2013 Automatic Build System <autodist@mambasoft.it> 2.02-1mamba
- automatic update by autodist

* Mon Aug 05 2013 Automatic Build System <autodist@mambasoft.it> 2.01-1mamba
- automatic update by autodist

* Thu Jan 17 2013 Automatic Build System <autodist@mambasoft.it> 1.38-1mamba
- automatic version update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 1.37-1mamba
- automatic version update by autodist

* Sun Nov 04 2012 Automatic Build System <autodist@mambasoft.it> 1.36-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Automatic Build System <autodist@mambasoft.it> 1.35-1mamba
- automatic version update by autodist

* Thu Jun 14 2012 Automatic Build System <autodist@mambasoft.it> 1.34-1mamba
- automatic version update by autodist

* Thu Aug 25 2011 Automatic Build System <autodist@mambasoft.it> 1.32-1mamba
- automatic version update by autodist

* Fri Mar 18 2011 Automatic Build System <autodist@mambasoft.it> 1.31-1mamba
- automatic update by autodist

* Sat Sep 12 2009 Automatic Build System <autodist@mambasoft.it> 1.28-1mamba
- automatic update by autodist

* Fri Feb 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.27-1mamba
- automatic update by autodist

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.21-2mamba
- automatic rebuild by autodist

* Fri Nov 09 2007 Aleph0 <aleph0@openmamba.org> 1.21-1mamba
- package created by autospec
